Oracle Linux 7 : graphite2 (ELSA-2016-0594)

High Nessus Plugin ID 90384


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2016:0594 :

An update for graphite2 is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Graphite2 is a project within SIL's Non-Roman Script Initiative and Language Software Development groups to provide rendering capabilities for complex non-Roman writing systems. Graphite can be used to create 'smart fonts' capable of displaying writing systems with various complex behaviors. With respect to the Text Encoding Model, Graphite handles the 'Rendering' aspect of writing system implementation.

The following packages have been upgraded to a newer upstream version:
graphite2 (1.3.6).

Security Fix(es) :

* Various vulnerabilities have been discovered in Graphite2. An attacker able to trick an unsuspecting user into opening specially crafted font files in an application using Graphite2 could exploit these flaws to cause the application to crash or, potentially, execute arbitrary code with the privileges of the application. (CVE-2016-1521, CVE-2016-1522, CVE-2016-1523, CVE-2016-1526)


Update the affected graphite2 packages.

See Also

Plugin Details

Severity: High

ID: 90384

File Name: oraclelinux_ELSA-2016-0594.nasl

Version: $Revision: 2.4 $

Type: local

Agent: unix

Published: 2016/04/07

Modified: 2016/12/07

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:U/RC:UC


Base Score: 8.8

Temporal Score: 7.4

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:U/RC:U

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:graphite2, p-cpe:/a:oracle:linux:graphite2-devel, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/04/05

Reference Information

CVE: CVE-2016-1521, CVE-2016-1522, CVE-2016-1523, CVE-2016-1526

OSVDB: 134244, 134245, 134246

RHSA: 2016:0594